Search Results for

Show / Hide Table of Contents

# Delegate AspectGetterDelegate<T>

Delegates of this type are used to fetch string representations of user's model objects

###### Namespace: Terminal.Gui.Trees

###### Assembly: Terminal.Gui.dll

##### Syntax

    public delegate string AspectGetterDelegate<T>(T toRender)

        where T : class;

##### Parameters

Type | Name | Description
--- | --- | ---
T | toRender | The object that is being rendered

##### Returns

Type | Description
--- | ---
System.String |

##### Type Parameters

Name | Description
--- | ---
T |